--- title: "Delete/Revoke an Interface from a Sensor in Child Domain" slug: "delete-revoke-an-interface-from-a-sensor-in-child-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/delete-revoke-an-interface-from-a-sensor-in-child-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete/Revoke an Interface from a Sensor in Child Domain This URL revokes an interface from a Sensor in child domain. ## Resource URL DELETE /domain//sensor//interface//revokeinterface?value= ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domain_id | Domain ID | Number | Yes | | sensor_id | Sensor ID | Number | Yes | | interface_id | Interface ID | Number | Yes | | id | VLAN ID, Bridge VLAN ID, or CIDR value, should be provided when revoking an interface of VLAN/CIDR type | String | No | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful, -1 otherwise | Number | ## Example **Request** DELETE [https://%3CNSM_IP%3E/sdkapi/domain/103/sensor/1002/interface/124/revokeinterface?value=8](https://%3CNSM_IP%3E/sdkapi/domain/103/sensor/1002/interface/124/revokeinterface?value=8) **Response** ``` { "status": 1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 404 | 1106 | Invalid Sensor | | 3 | 404 | 1107 | Invalid Interface or Sub-interface id | | 4 | 400 | 1134 | Provided interface not allocated to the specified domain | | 5 | 400 | 1132 | Invalid VLAN id provided | | 6 | 400 | 1133 | Invalid CIDR provided |